#include <bits/stdc++.h>

using namespace std;

int n;
int m;
int mat[25][25];
int bojenja[25];
int strana[25];
int sol;

int ofarbaj()
{
    for(int i=1;i<=n;i++)
    {
        for(int j=1;j<=m;j++)
        {
            mat[i][j]=0;
        }
    }
    
    for(int i=1;i<=n;i++)
    {
        if(strana[i]==1)
        {
            for(int j=1;j<=bojenja[i];j++)
            {
                mat[i][j]=1;
            }
        }
        else
        {
            for(int j=bojenja[i]+1;j<=m;j++)
            {
                mat[i][j]=1;
            }
        }
    }
    
    int dosadnost=0;
    
    for(int j=1;j<=m;j++)
    {
        int kolona=0;
        int br=0;
         
        for(int i=1;i<=n;i++)
        {
            if(mat[i][j]==1) br++;
        }
        
        kolona=br*(n-br);
        
        dosadnost+=kolona;
    }
    
    return dosadnost;
    
}

void izaberi(int indeks)
{
    if(indeks>n)
    {
        sol=min(sol,ofarbaj());
    }
    else
    {
        strana[indeks]=1;
        izaberi(indeks+1);
        strana[indeks]=2;
        izaberi(indeks+1);
    }
}

int main() 
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    
    cin >> n >> m;
    
    sol=100000000;
    
    for(int i=1;i<=n;i++)
    {
        cin >> bojenja[i];
    }
    
    izaberi(1);
    
    cout << sol;
    
    return 0;
}